PHP Manual
Prev |  | Next

# HaruDoc::addPageLabel

(no version information, might be only in CVS)

HaruDoc::addPageLabel -- Set the numbering style for the specified range of pages

## Description

bool HaruDoc::addPageLabel ( int first_page, int style, int first_num [, string prefix] )

Set the numbering style for the specified range of pages.

## Parameters

`first_page`

  The first page included into the labeling range.

`style`

  The numbering style. The following values are allowed:

  `HaruPage::NUM_STYLE_DECIMAL` - page label is displayed using decimal numerals.
  `HaruPage::NUM_STYLE_UPPER_ROMAN` - page label is displayed using uppercase Roman numerals.
  `HaruPage::NUM_STYLE_LOWER_ROMAN` - page label is displayed using lowercase Roman numerals.
  `HaruPage::NUM_STYLE_UPPER_LETTER` - page label is displayed using uppercase letters (from A to Z).
  `HaruPage::NUM_STYLE_LOWER_LETTERS` - page label is displayed using lowercase letters (from a to z).

`first_num`

  The first page number in this range.

`prefix`

  The prefix for the page label. Optional, empty by default.

## Return Values

Returns `TRUE` on success.

## Errors/Exceptions

Throws HaruException on error.

Prev | Home | Next
HaruDoc::addPage | Up | HaruDoc::__construct